[Main]
;Change to 1 if you want to use command line args to tell sfall to use another ini file.
UseCommandLine=0

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Sound]
;Sets the number of allowed simulatanious sound effects
;Set to 0 to leave the default unchanged (i.e. 4)
NumSoundBuffers=0

;Set to 1 to enable eax.
;Not supported in the windows 9x version
;Requires supporting scripts to set appropriate eax effects for each map.
EAX=0

;Set to a value between 0 and 25 to choose the default eax environment
;This is the environment used in a new game until a script changes it
DefaultEnvironment=1

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Speed]
;Set to 0 to disable everything in this section
Enable=1

;The speeds corrisponding to each slot in percent. (i.e. 100 is normal speed)
SpeedMulti0=50
SpeedMulti1=100
SpeedMulti2=150
SpeedMulti3=200
SpeedMulti4=300
SpeedMulti5=500
SpeedMulti6=1000
SpeedMulti7=100
SpeedMulti8=100
SpeedMulti9=100

;The initial speed at game startup
SpeedMultiInitial=100


;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Graphics]
;Set to 0 for 8 bit fullscreen
;Set to 4 for dx9 fullscreen
;Set to 5 for dx9 windowed
;A dx9 mode is required for any graphics related script extender functions to work (i.e. fullscreen shaders)
;Modes 1, 2 and 3 are no longer supported
Mode=0

;If using a dx9 mode, this changes the resolution
;The graphics are simply stretched to fit the new window; this does _not_ let you see more of the map
GraphicsWidth=640
GraphicsHeight=480

;This changes the settings of the hardware scaler in graphics modes 4 or 5
;Set to 0 to disable, 1 to use only if screen res > 640x480, 2 to use if screen res != 640x480 or 3 to use always
;To use a hardware scaler a file called 'global.fx' must be placed in data\shaders, and must contain one technique with one or more passes
GlobalShaderMode=0

;Set to something other than 0 to apply a software scaler in graphics modes 4 or 5
;This can be used instead of, or in addition to, the hardware global.fx shader
;This option is unsupported when using Mash's resolution patch
;0 - Default scaler
;1 - 2xSai
;2 - SuperEagle
;3 - Super2xSai
;4 - hq2x
;5 - AdvancedMame2x
;6 - letterbox
;7 - no scaling
ScaleFilter=0

;Set to 1 for a linear texture filter, or 0 to disable
TextureFilter=0

;Set to 1 to override the console, allowing extra text at high resolutions (BETA!)
;Requires DX9 mode
OverrideConsole=0

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Input]
;Set to 0 to disable everything in this section
;This will also disable any input related script extender functions and the keyboard commands used to control other sections!
Enable=1

;Set to 1 to enable the mouse scroll wheel to scroll through your inventory
UseScrollWheel=1

;The mouse Z position is dividied by this modifier to calculate the number of inventory
;slots to scroll. My mouse moves 120 pixel in the z direction for one click of the mouse
;wheel, but this may vary depending on your mouse manufacturer and windows settings.
;Set to 0 to only ever scroll 1 click
ScrollMod=0

;Adjusts mouse sensitivity to some percentage of normal.
;Negative values are valid, if you want your mouse axis reversed for some reason
MouseSensitivity=100

;DX scancode of a key to press when the middle mouse button is clicked
;The default of 0x30 toggles between your two weapons
;Set to 0 to disable
MiddleMouse=0x30

;Set these to 1 if you want fallout to access the keyboard or mouse in background mode
BackgroundKeyboard=0
BackgroundMouse=0

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

;The modifier key you have to hold down to change any speed settings
;If set to 0 if you don't want to use a modifier key, or a DX scancode otherwise
;Set to -1 for either ctrl key, -2 for either alt key or -3 for either shift key
SpeedModKey=-1

;A key to press to toggle the speed tweak on or off
;Specify 0 if you don't want a toggle key, or a DX scancode otherwise
SpeedToggleKey=0x00

;The keys corrisponding to the 10 speed slots
;Set to 0 to disable a slot, otherwise specify the DX scancode of the key you want to use
SpeedKey0=0x52
SpeedKey1=0x4f
SpeedKey2=0x50
SpeedKey3=0x51
SpeedKey4=0x4b
SpeedKey5=0x4c
SpeedKey6=0x4d
SpeedKey7=0x00
SpeedKey8=0x00
SpeedKey9=0x00

;The modifier key you have to hold down to change any graphics settings
;Set to 0 if you don't want to use a modifier key, or a DX scancode otherwise
;Set to -1 for either ctrl key, -2 for either alt key or -3 for either shift key
GraphicsModKey=-2

;Toggle the global shader on or off
ToggleGlobalShader=0x52

;Changes the current scaleing and texture filters
CycleScaleFilter=0
ToggleScaleFilter=0
ToggleTextureFilter=0

;A key to hold down to move the window around when using graphics mode 5
;Set to 0 if you don't want to use a modifier key, or a DX scancode otherwise
;Set to -1 for either ctrl key, -2 for either alt key or -3 for either shift key
WindowScrollKey=0

;XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
[Misc]
;Everything in this section only applies to fallout 2!

;Time limit in years. Must be between -3 and 13
;Set to 0 if you want to die the instant you leave arroyo
;Set to -1 to remove the time limit, and automatically reset the date back to 2241 each time you would have reached it
;Set to -2 to remove the time limit without reseting the date. The game will lock up on 8th of March 2255
;Set to -3 to remove the time limit, automatically reset the date, but override fallouts GetDate function to return the correct year
TimeLimit=13

;Set to 1 to enable additional scripting functions
ScriptExtender=1

;Set to 1 to apply the perception fix to the sharpshooter perk
SharpshooterFix=1

;Set to 1 to fix the pathfinder perk (25% travel time reduction with 1 level, 50% reduction with 2)
PathfinderFix=1

;World map travel time percentage modifier
;Modifies how fast in game time passes while you're moving around the map screen without affecting encounter rate
;The pathfinder fix needs to be turned on for this to work
;100 is normal speed, 0 stops time from passing
WorldMapTimeMod=20

;This will change the physical speed at which you move across the map
;Set to 0 to leave at the default. (i.e. limited by vwait in windowed mode, or by processor speed in fullscreen)
;If set to something other than 0, it enforces a maximum fps on the world map screen.
;Changing this to something other than 0 is not recommended if you've already applied a world map speed patch to your fallout exe.
WorldMapFPS=0

;Only set to 1 if your systems high performance timer is unreliable for some reason
ForceLowResolutionTimer=0

;Set to 1 to enable Ray's patch to make world map encounter rate independent of your travel speed
WorldMapEncounterFix=0
WorldMapEncounterRate=5

;Obsolete, but can still be used if you know what it does.
;WorldMapDelay=0

;The number of slots available in the locations list panel of the world map
;Set to 0 to leave unchanged. 17 is default.
;Setting this greater than 17 requires a replacement background frm, or you'll get glitched graphics
WorldMapSlots=0

;Setting this to 1 fixes the bug that can cause the locations list to become unresponsive
WorldMapCitiesListFix=1

;To start a new game somewhere other than artemple.map, uncomment the next line and set it to the map you want to load
StartingMap=prva01.map

;To change the 'FALLOUT II v1.02d' version string on the main menu, uncomment the next line
;You can use up to 2 %d's in this, if you want to include fallouts version number somewhere
VersionString=LAST HOPE 1.04

;To use a config file other than fallout.cfg, uncomment the next line and add the name of your new file
;ConfigFile=

;To use a patch file other than patch000.dat, uncomment the next line and add your new file name
;If you want to use multiple patch files, you can include a %d in the file name
;The original file is patch%03d.dat
PatchFile=LHdat.dat

;To change the default and starting player models, uncomment the next four lines.
;The default models can also be changed ingame via script
MaleStartModel=nmwarr
;MaleDefaultModel=hmjmps
;FemaleStartModel=hfprim
;FemaleDefaultModel=hfjmps

;To change the various ingame movies, modify the next 17 lines
;Most of these can also be changed ingame via script.
Movie1=iplogo.mve
Movie2=intro.mve
Movie3=elder.mve
Movie4=vsuit.mve
Movie5=afailed.mve
Movie6=adestroy.mve
Movie7=car.mve
Movie8=cartucci.mve
Movie9=timeout.mve
Movie10=tanker.mve
Movie11=enclave.mve
Movie12=derrick.mve
Movie13=artimer1.mve
Movie14=artimer2.mve
Movie15=artimer3.mve
Movie16=artimer4.mve
Movie17=credits.mve

;To change the starting year, month or day, uncomment the next 3 lines
StartYear=2321
StartMonth=2
StartDay=22

;To change the limit of the distance away from the player to which you're allowed to scroll the local maps, uncomment the next two lines
;Defaults are 0x1E0 in the x direction and 0x190 in the y direction.
;LocalMapXLimit=480
;LocalMapYLimit=400

;To add additional perks to the game, uncomment the next line and set it to point to a file containing perk information
;PerksFile=Perks.ini

;Set to 1 if you want the pipboy to be available at the start of the game
PipBoyAvailableAtGameStart=0

;Set to 1 to double the number of available kill types
;If you use this, you need to provide the extra descriptions in proto.msg (entries from 1450 to 1487 are names and 1488 to 1525 are descriptions)
;Changing this option mid game will not invalidate old save games, but the players kill counters will be completely screwed.
;Setting this to 1 may cause problems if the player kills more than 32767 of any one critter type
ExtraKillTypes=0

;Choose the damage formula used to calculate combat damage
;0 - Fallout default
;1 - Glovz's Combat Overhaul Mod. (Requires an additional download; don't enable this without it)
;2 - Glovz's AP ammo tweak
DamageFormula=0

;Prevents you from using 0 to escape from dialogue at any time.
DialogueFix=0

;Set to 1 to disable the horrigan encounter
DisableHorrigan=1

;Set to 1 to disable the random element in npc levelling.
;This will cause all npc party members to automatically level up as soon as the player reaches the requirements
NPCAutoLevel=0

;Change the initial starting location and world map viewport
;Leave at -1 for default
StartXPos=140
StartYPos=140
ViewXPos=-1
ViewYPos=-1

;Set to 1 to remove the limit on the number of cities
CitiesLimitFix=0

;Set to 1 for force fallout not to use multiple processor cores even if they are available
SingleCore=1

;Set to 1 to override the art_chache_size setting in fallout2.cfg
OverrideArtCacheSize=0

;Set to 1 to fix issues with the GainXXX perks not giving all the bonuses that they should
GainStatPerkFix=0

;Set to 1 to fix the issue with the skilldex button dissapearing when you have many active quests and holodisks.
BlackSkilldexFix=1

;Set to 1 to fix the crash when using print to file with the RP installed
PrintToFileFix=1

;Prevents you from saving in combat except at the start of your turn to avoid a few bugs
;Note that even with this option enabled, it is still not advisable to save in combat at all.
SaveInCombatFix=1

;Point at an ini file containing elevator data
;ElevatorsFile=Elevators.ini

;Uncomment and set to a comma delimited list of numbers to use a custom xp table.
;Players level is capped once the highest specified level is reached
;XPTable=50,100,200

;Set to 1 to enable additional weapon animations codes from o-t
;The 4 byte value at 0x39 of weapon protos may range from 0 to 15 rather than 0 to 10
;Since the letters 'n' and 'r' are in use for other animations, an animation code of 11 corrisponds to 's' and 15 to 't'
AdditionalWeaponAnims=1

;Set to 1 to stop fallout from deleting non readonly protos at startup
;May have side effects, so don't use for regular gameplay
DontDeleteProtos=0